> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionq.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Stop the execution of job in queue.

# Cancel a job

Stop the execution of a [job](/user-manual/glossary#job) that is currently queued or running. Canceled jobs will not consume additional [usage](/user-manual/glossary#usage) time, but any partial execution that has already occurred may still be billed.


## OpenAPI

````yaml https://api.ionq.co/v0.4/api-docs PUT /jobs/{UUID}/status/cancel
openapi: 3.0.3
info:
  contact:
    email: support@ionq.co
    name: IonQ
    url: https://ionq.com/
  description: |
    *Last updated: April 30, 2026*
    IonQ's API for accessing the IonQ Quantum Cloud platform

    Please subscribe for automated updates when we perform maintenance or
    experience an outage.

    In addition, you may use the [status endpoint](#tag/status) to check the
    current status of our API.

    ## Authentication

    <SecurityDefinitions />
  title: IonQ Cloud Platform API
  version: v0.4
servers:
  - url: https://api.ionq.co/v0.4
security: []
paths:
  /jobs/{UUID}/status/cancel:
    put:
      summary: Cancel a job
      description: Cancel the execution of many jobs at once by passing a list of jobs.
      operationId: CancelJob
      parameters:
        - description: >-
            The UUID of the job — this UUID is provided in the response on job
            creation.
          in: path
          name: UUID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully canceled a job.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobCanceledResponse'
        '429':
          description: >-
            Too Many Requests. To get a higher rate limit, please reach out to
            support@ionq.co
        '500':
          description: >-
            A generic server failure, please reach out to support@ionq.co for
            help with this error
        '502':
          description: >-
            Bad Gateway, this can be caused by misbehaving proxies, or by
            service issues. These can be retried, and downtime can be found on
            status.ionq.co
        '503':
          description: >-
            Service Unavailable, this is indicative of service outage, please
            check status.ionq.co
      security:
        - apiKeyAuth: []
      x-codeSamples:
        - lang: curl
          source: >
            curl -X PUT
            "https://api.ionq.co/v0.4/jobs/617a1f8b-59d4-435d-aa33-695433d7155e/status/cancel"
            \
              -H "Authorization: apiKey your-api-key"
components:
  schemas:
    JobCanceledResponse:
      properties:
        id:
          type: string
          example: 617a1f8b-59d4-435d-aa33-695433d7155e
        status:
          type: string
          enum:
            - canceled
          nullable: false
      required:
        - id
        - status
      type: object
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      description: >-
        API keys are associated with a user and can be created on the [IonQ
        Quantum Cloud](https://cloud.ionq.com) application. To authenticate,
        prefix your API Key with `apiKey ` and place it in the `Authorization`
        request header. Ex: `Authorization: apiKey your-api-key`
      in: header
      name: Authorization
      type: apiKey

````